# Module log4erl_ctpal_appender

- Description
- Function Index
- Function Details

Log4erl appender using log:pal/1 instead if io:format/1 based on console_appender.

Version: $Id$

Behaviours: `gen_event`.

Authors: Ahmed Nawras, Nico Kruber (`kruber@zib.de`).

## Description

Log4erl appender using log:pal/1 instead if io:format/1 based on console_appender.

## Function Index

code_change/3 |
handle_call/2 |
handle_event/2 |
handle_info/2 |
init/1 |
terminate/2 |

## Function Details

### init/1

    init(Args ::
             {conf, Conf :: [term()]} |
             {log:log_level()} |
             {log:log_level(), string()}) ->
            {ok, #console_appender{}}

### handle_event/2

    handle_event(X1 ::
                     {change_level, Level :: log:log_level()} |
                     {log, #log{}},
                 State :: #console_appender{}) ->
                    {ok, #console_appender{}}

### handle_call/2

    handle_call(Request ::
                    {change_format, Format :: string()} |
                    {change_level, Level :: log:log_level()} |
                    term(),
                State :: #console_appender{}) ->
                   {ok, ok, #console_appender{}}

### handle_info/2

    handle_info(_Info :: any(), State :: #console_appender{}) ->
                   {ok, #console_appender{}}

### terminate/2

    terminate(Reason :: any(), State :: #console_appender{}) -> ok

### code_change/3

    code_change(OldVsn :: any(),
                State :: #console_appender{},
                Extra :: any()) ->
                   {ok, #console_appender{}}

Generated by EDoc, Feb 29 2016, 16:12:20.